### Method

# Foundry TextDocument save_as

#### Declaration [src]

    DexFuture*
    foundry_text_document_save_as (
      FoundryTextDocument* self,
      GFile* file,
      FoundryOperation* operation
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` of where to save the document.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  An operation to update with progress.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.